/****************************************************************************
|
| Copyright (c) [2002-2011] Novell, Inc.
| All Rights Reserved.
|
| This program is free software; you can redistribute it and/or
| modify it under the terms of version 2 of the GNU General Public License as
| published by the Free Software Foundation.
|
| This program is distributed in the hope that it will be useful,
| but WITHOUT ANY WARRANTY; without even the implied warranty of
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.   See the
| GNU General Public License for more details.
|
| You should have received a copy of the GNU General Public License
| along with this program; if not, contact Novell, Inc.
|
| To contact Novell about this file by physical or electronic mail,
| you may find current contact information at www.novell.com
|
|***************************************************************************/


/*---------------------------------------------------------------------\
|                                                                      |
|                      __   __    ____ _____ ____                      |
|                      \ \ / /_ _/ ___|_   _|___ \                     |
|                       \ V / _` \___ \ | |   __) |                    |
|                        | | (_| |___) || |  / __/                     |
|                        |_|\__,_|____/ |_| |_____|                    |
|                                                                      |
|                               core system                            |
|                                                        (C) SuSE GmbH |
\----------------------------------------------------------------------/

   File:       NCPkgPopupTable.h

   Author:     Gabriele Strattner <gs@suse.de>

/-*/
#ifndef NCPkgPopupTable_h
#define NCPkgPopupTable_h

#include <iosfwd>

#include <vector>
#include <string>
#include <algorithm>

#include "NCPopup.h"
#include "NCZypp.h"

class NCPkgTable;
class NCPushButton;
class NCPackageSelector;


///////////////////////////////////////////////////////////////////
//
//	CLASS NAME : NCPkgPopupTable
//
//	DESCRIPTION :
//
class NCPkgPopupTable : public NCPopup {

    NCPkgPopupTable & operator=( const NCPkgPopupTable & );
    NCPkgPopupTable            ( const NCPkgPopupTable & );

private:

    NCPkgTable * pkgTable;
    NCPushButton * okButton;
    NCPushButton * cancelButton;
    NCPackageSelector * packager;

protected:

    virtual bool postAgain();

    virtual NCursesEvent wHandleInput( wint_t ch );
    
public:
    
    NCPkgPopupTable( const wpos at, NCPackageSelector * pkger,
                     std::string headline,
                     std::string label1,
                     std::string label2,
                     bool add_cancel = true );
    
    virtual ~NCPkgPopupTable();

    virtual int preferredWidth();
    virtual int preferredHeight();
    
    bool fillAutoChanges( NCPkgTable * pkgTable );

    bool fillAvailables( NCPkgTable * pkgTable, ZyppSel sel );

    void createLayout( std::string headline,
                       std::string label1,
                       std::string label2,
                       bool add_cancel );

    NCursesEvent showInfoPopup( );
    NCursesEvent showAvailablesPopup( ZyppSel sel );

};

///////////////////////////////////////////////////////////////////


#endif // NCPkgPopupTable_h
