#  Config file for libyui-ncurses-pkg
#  It defines the following variables
#  LIBYUI-NCURSES-PKG_INCLUDE_DIRS - include directories for libyui-ncurses-pkg
#  LIBYUI-NCURSES-PKG_LIBRARIES    - libraries to link against
#  LIBYUI-NCURSES-PKG_PREFIX       - prefix where libyui-ncurses-pkg is installed
#  LIBYUI-NCURSES-PKG_SONAME       - soname of libyui-ncurses-pkg
#  LIBYUI-NCURSES-PKG_SONAME_MAJOR - soname of libyui-ncurses-pkg
#  LIBYUI-NCURSES-PKG_SONAME_MINOR - soname of libyui-ncurses-pkg
#  LIBYUI-NCURSES-PKG_SONAME_PATCH - soname of libyui-ncurses-pkg

# Export the SONAME for use by plugins
SET( LIBYUI-NCURSES-PKG_SONAME "7.0.0" )
SET( LIBYUI-NCURSES-PKG_SONAME_MAJOR "7" )
SET( LIBYUI-NCURSES-PKG_SONAME_MINOR "0" )
SET( LIBYUI-NCURSES-PKG_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-NCURSES-PKG_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-NCURSES-PKG_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-NCURSES-PKG_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-NCURSES-PKG_CMAKE_DIR}/Libyui-ncurses-pkgBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-NCURSES-PKG_INCLUDE_DIRS /usr/include/yui/ncurses-pkg /usr/include/yui/ncurses-pkg/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-NCURSES-PKG_CMAKE_DIR}/Libyui-ncurses-pkgLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-ncurses-pkgLibraryDepends.cmake
SET( LIBYUI-NCURSES-PKG_LIBRARIES yui-ncurses-pkg )

MESSAGE( STATUS "Found Libyui-ncurses-pkg: ${IMPORTED_LOCATION_RELEASE} (Version: 2.48.2)" )
